#include "NumericalTableEvalValue.hpp"
#include "../Iterator/NumericalKeyIterator.hpp"

inline Porygon::Evaluation::Iterator *Porygon::Evaluation::NumericalTableEvalValue::GetKeyIterator() const {
    return new NumericalKeyIterator(this);
}

Porygon::Evaluation::NumericalTableEvalValue::NumericalTableEvalValue(shared_ptr<vector<EvalValuePointer>> table) :
        _table(std::move(table)),
        _hash(rand())
{
}
